Page MenuHomePhabricator

Add mhs.ox.ac.uk to $wgCopyUploadsDomains
Closed, ResolvedPublic

Description

Please add the following domain to the wgCopyUploadsDomains whitelist, so that I can use GWToolset to upload media files from that domain. I have provided at least 3 example URLs to media files that will be uploaded with GWToolset.

http://www.mhs.ox.ac.uk/

http://www.mhs.ox.ac.uk//wp-content/themes/mhs-2017-responsive/imu-media.php?irn=20190
http://www.mhs.ox.ac.uk//wp-content/themes/mhs-2017-responsive/imu-media.php?irn=18908
http://www.mhs.ox.ac.uk//wp-content/themes/mhs-2017-responsive/imu-media.php?irn=54544

Event Timeline

Restricted Application added subscribers: Bawolff, Aklapper. · View Herald TranscriptAug 9 2018, 11:29 AM
Framawiki renamed this task from Add domain to $wgCopyUploadsDomains to Add mhs.ox.ac.uk to $wgCopyUploadsDomains.EditedAug 9 2018, 5:05 PM
Framawiki triaged this task as Low priority.
Framawiki added a project: Commons.
Framawiki added a subscriber: Framawiki.

@MartinPoulter Are you sure that these files are published under a free license ? I can't find such info on the site.

@Framawiki : I'm the Wikimedian In Residence at the University of Oxford, working across the university's libraries and museums. In that capacity, I've met with the Director of the museum, and she has given me the go ahead to share those images on Commons, which I would do as part of that job. Making the change on the museum's web site would require tagging the images individually: I wouldn't expect that to happen soon, especially in the summer when staff are likely on holiday. So I want to get the image upload done soon without waiting for a notice to appear on the site. Hope this clarifies,

Thanks for the clarification @MartinPoulter.
Nevertheless, if as I believe it no license or explicit information is indicated on the site, it will be necessary before putting files on commons an OTRS authorization explaining the license and the files concerned. I'll not allow uploading lots of files that'll not have an authorization very soon, but will wait until the authorization has been received and validated before continuing work on this ticket. Hope you understand.
Note also that wgCopyUploadsDomains is useful for numerous uploads, it may be unsuitable if only a few images are concerned.
Could you indicate here the otrs ticket number once it has been validated or ping me when the site contains wanted informations? Thank you.

Framawiki changed the task status from Open to Stalled.Aug 11 2018, 9:42 AM

The director of the museum has emailed an authorisation. The OTRS ticket number is #2018081610006925
Cheers,

Change 454616 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Add mhs.ox.ac.uk to $wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/454616

Thanks @MartinPoulter for the notification.
The ticket allows the upload of 160 files. I'll add the domain to the whitelist for now, but please notify me again when the files are uploaded and/or the whitelist is no longer needed, so I'll be able to remove it from the list.
Thanks !

Framawiki changed the task status from Stalled to Open.Aug 22 2018, 6:26 PM
Framawiki claimed this task.

Change 454616 merged by jenkins-bot:
[operations/mediawiki-config@master] Add mhs.ox.ac.uk to $wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/454616

Mentioned in SAL (#wikimedia-operations) [2018-08-27T18:50:41Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Add mhs.ox.ac.uk to $wgCopyUploadsDomains (T201604) (duration: 00m 48s)

Deployed !
Please ping me when you've finished.

Framawiki closed this task as Resolved.Aug 27 2018, 7:02 PM

Iimage upload done. Thanks for your help.